Description

Storing lots of fact and/or report data can quickly go out of control and our research shows that not everyone uses these Foreman

features. We would like to make fact and report data storing in Foreman database opt-in via Administer setting. For new installations

this will be turned off.

As part of this feature, we will modify "empty" page for Facts and Reports to ask users to enable the setting if they want to start

gathering data.

For existing installations, Foreman will either keep collecting data (if there are any) or switch it off by default. It hasn't been decided

yet.

History

#1 - 01/21/2020 03:13 PM - Bryan Kearney

- Bugzilla link set to 1793566

#2 - 02/26/2020 03:12 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7475 added

#3 - 03/11/2020 02:02 PM - Lukas Zapletal

- Status changed from Ready For Testing to Rejected

The upstream patch was rejected in the form of a simple implementation of a flag that disables facts/reports parsing. Concerns:

the patch creates problem for subscription-manager and puppet facts which we parse and store as extra host attributes like uptime or cpu/core

count and memory

there is now effort to disble or extract puppet code into plugin which will sove the issue

we want to have less settings overall to decrease matrix of possible states for easier troubleshooting

initial effort and evaluation has been done in order to find better ways to store reports and facts in the DB

this is a dirty and temporary solution to the problem, we should really push for cleaner solution no matter how much more work it is
